Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server.impl
Class XMLServiceConfigManager

`java.lang.Object
oracle.soap.server.impl.BaseConfigManager
oracle.soap.server.impl.XMLServiceConfigManager`

All Implemented Interfaces:
  ConfigManager

public class XMLServiceConfigManager
extends BaseConfigManager

XMLServiceConfigManager maintains a registry of deployed services as a serialized object in a file.

Field Summary
`static java.lang.String` | `DEFAULT_FILENAME`
`static java.lang.String` | `OPTION_FILENAME`

Fields inherited from class oracle.soap.server.impl.BaseConfigManager
`m_context, m_namesCache, m_registry`

Constructor Summary
`XMLServiceConfigManager()`

Method Summary
`void` | `readRegistry()` Read the registry from disk.
`void` | `setOptions(java.util.Properties options)` Set configuration manager options specified in the SOAP server configuration.
`void` | `writeRegistry()` Save the deployed descriptors to the registry

Methods inherited from class oracle.soap.server.impl.BaseConfigManager
`deploy, init, list, query, setContext, undeploy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION_FILENAME

    public static final java.lang.String OPTION_FILENAME

  See Also:
    Constant Field Values

### DEFAULT_FILENAME

    public static final java.lang.String DEFAULT_FILENAME

Constructor Detail

### XMLServiceConfigManager

    public XMLServiceConfigManager()

Method Detail

### setOptions

    public void setOptions(java.util.Properties options)
                    throws SOAPException

  Set configuration manager options specified in the SOAP server configuration.
  Parameters:
    `options` - The options specified for this configuration manager.
  Throws:
    `SOAPException` - An error was encountered while processing the options.

### readRegistry

    public void readRegistry()
                      throws SOAPException

  Read the registry from disk. If this fails, create a new empty registry in the cache.
  Specified by:
    `readRegistry` in class `BaseConfigManager`
  Throws:
    `SOAPException`

### writeRegistry

    public void writeRegistry()
                       throws SOAPException

  Description copied from class: `BaseConfigManager`
  Save the deployed descriptors to the registry
  Specified by:
    `writeRegistry` in class `BaseConfigManager`
  Throws:
    `SOAPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.